### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface AuthorizationInfoInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `AuthorizationInfo`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AuthorizationInfoInterface extends Remote
Interface methods that set or get attributes from an instance of AuthorizationInfo.

An AuthorizationInfo instance contains a set of `PermissionInfoInterface` instances for a single Identity.

Note: setter methods are present because code invoking AuthorizationBase.SetAuthorizations() must set the Identity and PermissionInfoList for its AuthorizationInfo instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorizationIdentityInfoInterface`
  `getIdentityInfo()`
  Returns the identity object reference
  `List<PermissionInfoInterface>`
  `getPermissionInfoList()`
  Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo
  `void`
  `setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo)`
  Sets the identity object reference
  `void`
  `setPermissionInfoList(List<PermissionInfoInterface> permissionInfoList)`
  Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo

- ## Method Details

  - ### getIdentityInfo

    AuthorizationIdentityInfoInterface getIdentityInfo() throws ServiceException, RemoteException
    Returns the identity object reference
    Returns:
      identity
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setIdentityInfo

    void setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo) throws ServiceException, RemoteException
    Sets the identity object reference
    Parameters:
      `identity` - Identity object to set
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPermissionInfoList

    List<PermissionInfoInterface> getPermissionInfoList() throws ServiceException, RemoteException
    Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo
    Returns:
      List<`PermissionInfoInterface`>
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPermissionInfoList

    void setPermissionInfoList(List<PermissionInfoInterface> permissionInfoList) throws ServiceException, RemoteException
    Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo
    Parameters:
      `List` - List of `PermissionInfoInterface` objects to set
    Throws:
      `ServiceException`
      `RemoteException`